@import url('https://fonts.googleapis.com/css2?family=Truculenta:opsz,wght@12..72,100..900&display=swap');

*{
    box-sizing: border-box;
    padding:0;
    border:0;
    margin:0;
}

:root{
    --unit: 4px;
    --dark:#010101;
    --dark2:#282828;
    --light:#f7f3dc;
    --light2:#d6d4d4;
    --accent:#003049;
    --accent2:#03296353;
    --green: #084623;
    --green-light: #08462323;
    --red: #E30417;
    --red-light: #e304172b;
}

.font{
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
}

.socials{
    width:max-content;
    height:max-content;
    display:flex;
    gap:calc(var(--unit)*2);
}

.social{
    width:40px;
    height:40px;
    border-top-right-radius:80px 90%;
    border-top-left-radius:100% 60px;
    border-bottom-right-radius:20px;
    border-bottom-left-radius:60px 70%;
    background-color: rgba(0, 0, 0, 0.322);
    padding:6px;
    
}

.logo-small{
    width:90px;
    height:auto;
    aspect-ratio:3/1;
}

.subscribe{
    display:flex;
    width:100%;
    justify-content: flex-start;
    align-items:center;
}

.heading4{
    font-size:19.2px;
    letter-spacing:0.8px;
    font-weight:500;
}

footer .content{
    display: flex;
    flex-direction:column;
    align-items:flex-start;
    flex-wrap:wrap;
    gap:calc(var(--unit)*10);
}

.foot-items{
    width:max-content;
    color:white;
}

.subscribe input{
    height:45px;
    width:500px;
    padding:calc(var(--unit)*5);
    border-top-left-radius:calc(var(--unit)*8);
    border-bottom-left-radius:calc(var(--unit)*8);
}

.icon{
    width:20px;
    height:20px;
    padding:2px;
}

.foot-li{
    display:flex;
    gap:calc(var(--unit)*2);
}

.foot-items ul{
    display:flex;
    flex-direction: column;
}

body{
    width:100%;
    height:max-content;
    display:flex;
    justify-content:center;
    align-items:center;
    flex-direction: column;
    overflow-x:hidden;
    background-color:black;
    background-image:url('assets/fruity-background.png');
    /* background-size:contain; */
    background-position: center;
    background-repeat:repeat;
}

.img{
    width:100%;
    height:100%;
    border-radius:inherit;
}

main{
    width:100%;
    height:max-content;
    display:flex;
    align-items:center;
    gap:calc(var(--unit)*20);
    flex-direction: column;
    background-color: var(--green-light);
}

.logo{
    width:auto;
    height:33px;
    aspect-ratio:3/1;
}

nav{
    width:max-content;
    height:100%;
    display:flex;
    color:white;
    justify-content:center;
    align-items:center;
}

.slider2{
    width:100%;
    height:100%;
    display:flex;
    overflow-x:scroll;
    position: relative;
    gap:calc(var(--unit)*5);
    padding:0 calc(var(--unit)*5);
}

.slider-btns{
    width:100%;
    height:max-content;
    padding: 8px;
    position:absolute;
    display:flex;
    pointer-events:none;
    justify-content:space-between;
    z-index:2;
}

.slide-btn{
    width:80px;
    height:80px;
    border-radius:50%;
    opacity:0.3;
    display:none;
    background-color:#00000040;
    padding: 4px;
}

.slider{
    width:100%;
    height:100%;
    display:flex;
    overflow:hidden;
}

.slides{
    display:flex;
    overflow-x:hidden;
    width:400%;
    height:100%;
}

.slider2 .container{
    width:100%;
    height:30px;
}

.slider::-webkit-scrollbar, .slides::-webkit-scrollbar, .slider2::-webkit-scrollbar {
    width:0px;
    height:0px;
}

.slide{
    width:100%;
    height:100%;
    flex-shrink:0;
    background-position: center;
    background-size:cover;
}

.slide1{
    background-image:url("assets/chivita-slide-1.png");
}
#slide2{
    background-image:url("assets/Chivita-slide-2.png");
}
#slide3{
    background-image:url("assets/Chivita-slide-3.png");
}
#slide4{
    background-image:url("assets/chivita-slide-4.jpg");
}

.slide img{
  width: 100%;         
  height:auto;   
  display:block;
  -webkit-filter: brightness(50%) saturate(200%);
  filter: brightness(50%) saturate(200%);
}

nav ul{
    width:max-content;
    height:100%;
    display:flex;
    list-style-type:none;
    gap:calc(var(--unit)*2);
    justify-content:center;
    align-items:center;
}

.brand{
    width:100%;
    height:auto;
    display:flex;
    justify-content: center;
    align-items: center;
}

.brand img{
    width:330px;
    height:auto;
    aspect-ratio:5/1;
}

.tag{
    height:25px;
    width:100%;
    display:flex;
    align-items:center;
    color:white;
    font-size:12px;
    font-family: "Truculenta", sans-serif;
    background-color:black;
}

nav{
    display:none;
}

nav li{
    height:100%;
    letter-spacing:1px;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:calc(var(--unit)*3);
    color:white;
}

nav li:hover{
    background-color:#0000002b;
    transition:.3s;
    border-bottom:5px white solid;
}

.slider-container{
    width:100%;
    height: 100%;
    overflow:hidden;
}

.slide-point{
    width:6px;
    height:5px;
    border-radius:10px;
    background-color: #ffffff67;
}

.orange{
    width:500px;
    height:500px;
    position: absolute;
    right:-100px;
    top:70px;
    z-index:-1;
}

.product{
    width:290px;
    height:290px;
    flex-shrink:0;
    position:relative;
    display:flex;
    justify-content:center;
    align-items:center;
    box-shadow:0px 0px 3px -1px black;
    border-radius:calc(var(--unit)*3);
    overflow:hidden;
}

.product:after{
    width:100%;
    height:120px;
    content:attr(data-content);
    position:absolute;
    display:flex;
    justify-content:center;
    padding:calc(var(--unit)*5);
    align-items:flex-end;
    bottom: 0;
    color:white;
    letter-spacing:0.5px;
    left:0;
    box-sizing: border-box;
    font-size:20px;
    background:linear-gradient(transparent, #000000b9, #000000eb) ;
}

.slide-point-selected{
    width:40px;
    background-color:white;
}

body::-webkit-scrollbar{
    width:5px;
    background-color:black;
}
body::-webkit-scrollbar-thumb{
    width:5px;
    background-color:var(--green);
}

.pagination{
    display: flex;
    gap:calc(var(--unit)*2);
    width:100%;
    height:30px;
    align-items:center;
    position:absolute;
    bottom:0;
    background: linear-gradient(transparent, #000000cf);
    justify-content:center;
}

section:is(.hero){
    padding:0;
    height:calc(100vh - 110px);
    align-items:flex-start;
}

#section1 .container{
    padding:0;
    max-width:none;
    height:100%;
}

section,footer{
    width:100%;
    height:max-content;
    overflow:hidden;
    display:flex;
    align-items:center;
    position: relative;
    z-index:1;
    justify-content:center;
    /* padding:0 0; */
}

.content{
    width:100%;
    height:100%;
    justify-content:center;
    flex-direction:column;
    display:flex;
}

#section1 .content{
    justify-content:start;
}


.container{
    max-width:1500px;
    height:max-content;
    width:100%;
    display:flex;
    padding:0 calc(var(--unit)*3);
}

#site-header{
    width:100%;
    height:110px;
    top:-30px;
    left:0;
    display:flex;
    position: sticky;
    background-color:var(--red);
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    z-index:100;
    box-shadow:0px 0px 3px -1px black;
}

#site-header .container{
    justify-content:space-between;
    align-items:center;
    height: 100%;
}

button,a{
    display:flex;
    justify-content:center;
    cursor:pointer;
    align-items:center;
    pointer-events:all;
    font-weight:800;
}

.cta{
    width:100%;
    align-items: center;
    justify-content:center;
    display:flex;
    flex-direction:column;
    gap:calc(var(--unit)*3);
}

.btn1{
    background-color:black;
    width:100%;
    min-width:100px;
    border-top-right-radius:calc(var(--unit)*8);
    border-bottom-right-radius:calc(var(--unit)*8);
    color:var(--light);
    font-size:1rem;
    height:45px;
}

footer{
    color:var(--light);
    background-color:black;
}

.copyright{
    width:100%;
    height:20px;
    background-color:var(--red);
    display: flex;
    color:white;
    font-size:12px;
    align-items:center;
    padding:0px calc(var(--unit)*3);
}

#section2 .content{
    flex-direction: column;
    gap:calc(var(--unit)*2);
    justify-content: center;
    align-items:center;
}

p, li, .copyright{
    font-family: "Truculenta", sans-serif;
    color:#ffffffc8;
    list-style-type:none;
}

#section2 p{
    width:350px;
    text-align:center;
    font-weight:400;
    font-size: 20px;
    letter-spacing:0.5px;
}

#section4 .content{
    flex-direction:column;
    height:max-content;
}

.left,.right{
    width:100%;
    display:flex;
    height:max-content;
    justify-content:flex-end;
}

.value p{
    max-width:350px;
    font-size:18px;
}

.right{
    height:auto;
    display:flex;
    flex-direction: column;
    gap:calc(var(--unit)*8);
    background-color:#ffffff10;
    padding:calc(var(--unit)*5) 0;
    justify-content:center;
}

.family{
    width:100%;
    height:auto;
    aspect-ratio:3/2;
}

.family img{
    border:solid 4px var(--green);
}

#section3 .container{
    padding:0;
}

#section3 header{
    width:100%;
    height:max-content;
}

.heading3{
    color:white;
    margin-bottom:calc(var(--unit)*2);
    letter-spacing:1.5px;
    font-size:25.63px;
}

.heading2 h2{
    width:100%;
    color:white;
    justify-content:center;
    text-align: center;
    position:relative;
    display:flex;
    margin-bottom:calc(var(--unit)*10);
    font-size:32.44px;
    letter-spacing:0.8px;
}

#section3 header h2:after{
    width:50px;
    content:"";
    height:4px;
    bottom: 0%;
    border-radius:8px;
    position:absolute;
    background-color:#ffffff35;
}

#section5{
    background-color:var(--green);
    padding:calc(var(--unit)*5);
}

#section5 .container{
    justify-content:center;
}

#section5 .content,
footer .content{
    justify-content:flex-start;
    padding:calc(var(--unit)*10) 0;
}

.sub-socials{
    display:flex;
    flex-direction: column;
    gap:calc(var(--unit)*8);
}

button{
    background-color:transparent;
}

.hamburger{
    width:50px;
    height:50px;
}

.follow{
    font-size:18px;
    color:white;
    margin-bottom:calc(var(--unit)*2);
}

#section5 .heading2 h2{
    margin-bottom:0px;
    text-align:right;
    justify-content:flex-start;
}

@media (min-width:768px){
    .cta{
        flex-direction:row;
        gap:calc(var(--unit)*5);
    }

    .slide-btn{
        display:flex;
    }

    main{
        gap:calc(var(--unit)*29);
    }

    .family{
        width:auto;
        height:250px;
        aspect-ratio:3/2;
    }

    
    .right{
        padding-left:calc(var(--unit)*5);
        padding:0 0;
    }

    .heading2 h2{
        font-size:47.78px;
    }

    .section5 .heading2 h2{
        margin-bottom:0px;
    }

    .heading3{
        font-size:30.18px;
    }

    .copyright{
        padding:0px calc(var(--unit)*10);
    }

    #section4 .content{
        flex-direction:row;
    }

    .family{
        width:500px;
    }

    .hamburger{
       display:none;
    }

    .product{
        width:370px;
        height:350px;
    }
    .left, .right{
        width:50%;
    }

    .slider2{
        gap:calc(var(--unit)*8);
        padding:0 calc(var(--unit)*20);
    }

    .slider2-container{
        height:380px;
        display:flex;
        align-items:center;
    }

    #section2 p{
        width:700px;
    }

    #section2 .content{
        gap:calc(var(--unit)*5);
    }

    nav{
        display:flex;
    }

    .btn1{
        max-width:200px;
        height:45px;
    }

    .foot-items ul{
        gap:calc(var(--unit)*2);
    }

    .brand img{
        width:550px;
    }
    
    footer .content{
        justify-content:space-between;
        flex-direction:row;
        /* column-gap:calc(var(--unit)*40); */
    }
}

@media(min-width:1024px){
    .container{
        padding:0 calc(var(--unit)*15);
    }
    
    .family{
        width:auto;
        height:380px;
        aspect-ratio:3/2;
    }

    .right{
        padding-left:calc(var(--unit)*10);
    }

    /* .heading1 h1{
        font-size:61.04px;
        line-height:1.1;
        letter-spacing:-0.5px;
    }

    #section1 .content{
        height: 100%;
    } */
}